Skip to main content

Customer Lifetime

The “Customer Lifetime” endpoint shows the total amount of orders and the total amount of revenue per customer. The data will be shown for an inbox item.

GET https://example.com/search?<yourEmailParameter>=$Email

Parameters​

NameRequiredDescription
$EmailYesThe email address of the customer
Response body
{
"email_address": "[email protected]",
"customer_since": "2021-01-12T12:34:56Z",
"order_count": 12,
"currency": "$",
"total_revenue": 154.95,
"last_order_date": "2021-04-05T12:34:56Z"
}

Response schema​

NameTypeRequiredDescription
email_addressStringYesEmail address of the customer
customer_sinceStringYesDate of the first order
order_countIntegerYesTotal amount of orders the customer has
currencyStringYesDefault currency of the customer
total_revenueFloatYesTotal amount of revenue the customer has brought in
last_order_dateStringYesDate of the last order